<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class EmbeddedContent extends \Google\Protobuf\Internal\Message
{
    protected $content;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getEmbeddedMessage()
    {
        return $this->readOneof(1);
    }

    public function hasEmbeddedMessage()
    {
        return $this->hasOneof(1);
    }

    




    public function setEmbeddedMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\EmbeddedMessage::class);
        $this->writeOneof(1, $var);

        return $this;
    }

    



    public function getEmbeddedMusic()
    {
        return $this->readOneof(2);
    }

    public function hasEmbeddedMusic()
    {
        return $this->hasOneof(2);
    }

    




    public function setEmbeddedMusic($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\EmbeddedMusic::class);
        $this->writeOneof(2, $var);

        return $this;
    }

    


    public function getContent()
    {
        return $this->whichOneof("content");
    }

}

